net.minecraft.item.ItemStack
knightminer.inspirations.library.recipe.cauldron.contents.ICauldronContents
mekanism.api.chemical.gas.GasStack
mekanism.api.chemical.infuse.InfusionStack
mekanism.api.chemical.pigment.PigmentStack
mekanism.api.chemical.slurry.SlurryStack
net.minecraft.block.BlockState
net.minecraft.entity.EntityType
net.minecraftforge.fluids.FluidStack
slimeknights.tconstruct.library.modifiers.ModifierEntry
slimeknights.tconstruct.library.recipe.partbuilder.Pattern
